<?php
/**
 * Created by PhpStorm.
 * User: jderosa
 * Date: 19/04/19
 * Time: 8.13
 */

namespace FiloBlu\Rma\Handlers;

use Magento\Framework\App\Config\ScopeConfigInterface;
use Psr\Log\LoggerInterface;


class CustomCarrierHandler
{
    protected $scopeConfig;
    const RMA_CUSTOM_CARRIER = 'filoblu_disablerma_section/rma_group/rma_option_carrier';
    /**
     * @var LoggerInterface
     */
    private $logger;

    /**
     * AddCustomCarrier constructor.
     * @param ScopeConfigInterface $scopeConfig
     * @param LoggerInterface $logger
     */
    public function __construct(
        ScopeConfigInterface $scopeConfig,
        LoggerInterface $logger)
    {
        $this->scopeConfig = $scopeConfig;
        $this->logger = $logger;
    }

    /**
     * @param $result
     * @return array
     */
    public function getShippingCarriers($result)
    {
        try{
            if($this->scopeConfig->getValue(self::RMA_CUSTOM_CARRIER) ?? false)
            {
                if(isset($_POST['carrier'])&& $_POST['carrier'] == 'custom')
                {
                    $result = array_merge($result,array('custom'=>$_POST['carrier']));
                }else{
                    $result ['custom'] = "Custom";
                }


            }
            return $result;
        }catch (\Exception $e){
            $this->logger->critical($e->getMessage());
            return $result;
        }catch (\Throwable $t){
            $this->logger->critical($t->getMessage());
            return $result;
        }

    }

}